<?xml version="1.0" encoding="utf-8" ?>
<FacileFormsPackage id="googlemaps" type="autoincrement" version="1.8.5 Stable (build 856)">
	<name>googlemaps</name>
	<title>googlemaps</title>
	<version>0.0.1</version>
	<creationDate>2015-01-23 15:38:02</creationDate>
	<author>Thomas Deußen</author>
	<authorEmail>thomas.deussen@crosstec.de</authorEmail>
	<authorUrl>http://www.crosstec.de</authorUrl>
	<description>googlemaps</description>
	<copyright>This BreezingForms package is released under the GNU/GPL license</copyright>
	<form id="55">
		<runmode>1</runmode>
		<package>Support Examples</package>
		<name>googlemaps</name>
		<title>GoogleMaps</title>
		<width>100</width>
		<widthmode>1</widthmode>
		<height>300</height>
		<emailntf>0</emailntf>
		<template_code>[encoded data, 22088 characters]</template_code>		<template_code_processed>UXVpY2tNb2Rl</template_code_processed>		<template_areas>[encoded data, 19768 characters]</template_areas>		<dblog>0</dblog>
		<prevwidth>0</prevwidth>
		<piece1cond>2</piece1cond>
		<piece1code>$http = \x27http\x27\x3B\r\nif (isset($_SERVER[\x27HTTPS\x27]) \x26\x26 !empty($_SERVER[\x27HTTPS\x27]) \x26\x26 (strtolower($_SERVER[\x27HTTPS\x27]) != \x27off\x27)) {\r\n    $http .= \x27s\x27\x3B\r\n}\r\n\r\nJFactory::getDocument()-\x3EaddScript( $http.\x27://maps.google.com/maps/api/js?sensor=false\x27 )\x3B\r\n\r\necho \x22\r\n\r\n\x3Cscript type=\x27text/javascript\x27\x3E\r\n  \r\n  function ct_setMapByAddress( address ) {\r\n      \r\n    var geocoder\x3B\r\n    var map\x3B\r\n  \r\n    geocoder = new google.maps.Geocoder()\x3B\r\n    var latlng = new google.maps.LatLng(-34.397\x2C 150.644)\x3B\r\n    var myOptions = {\r\n      zoom: 15\x2C\r\n      center: latlng\x2C\r\n    mapTypeControl: true\x2C\r\n    mapTypeControlOptions: {style: google.maps.MapTypeControlStyle.DROPDOWN_MENU}\x2C\r\n    navigationControl: true\x2C\r\n      mapTypeId: google.maps.MapTypeId.ROADMAP\r\n    }\x3B\r\n    map = new google.maps.Map(document.getElementById(\x27ct_map_canvas\x27)\x2C myOptions)\x3B\r\n    if (geocoder) {\r\n      geocoder.geocode( { \x27address\x27: address}\x2C function(results\x2C status) {\r\n        if (status == google.maps.GeocoderStatus.OK) {\r\n          if (status != google.maps.GeocoderStatus.ZERO_RESULTS) {\r\n          map.setCenter(results[0].geometry.location)\x3B\r\n\r\n            var infowindow = new google.maps.InfoWindow(\r\n                { content: \x27\x3Cb\x3E\x27+address+\x27\x3C/b\x3E\x27\x2C\r\n                  size: new google.maps.Size(500\x2C350)\r\n                })\x3B\r\n\r\n            var marker = new google.maps.Marker({\r\n                position: results[0].geometry.location\x2C\r\n                map: map\x2C \r\n                title:address\r\n            })\x3B \r\n            google.maps.event.addListener(marker\x2C \x27click\x27\x2C function() {\r\n                infowindow.open(map\x2Cmarker)\x3B\r\n            })\x3B\r\n\r\n          } else {\r\n            console.log(\x27No map results found\x27)\x3B\r\n          }\r\n        } else {\r\n          console.log(\x27Geocode was not successful for the following reason: \x27 + status)\x3B\r\n        }\r\n      })\x3B\r\n    }\r\n  }\r\n  \r\n  function ct_fire_map(){\r\n\r\n    ct_setMapByAddress(\r\n\r\n            ff_getElementByName(\x27country\x27).value + \x27\x2C \x27 + \r\n            ff_getElementByName(\x27zip\x27).value + \x27\x2C \x27 + \r\n            ff_getElementByName(\x27city\x27).value + \x27\x2C \x27 + \r\n            ff_getElementByName(\x27address\x27).value\r\n    )\r\n  }\r\n  \r\n  JQuery( document ).ready(\r\n    function(){\r\n        JQuery(ff_getElementByName(\x27address\x27)).on(\x27change\x27\x2C function(){ ct_fire_map()\x3B })\x3B\r\n        JQuery(ff_getElementByName(\x27city\x27)).on(\x27change\x27\x2C function(){ ct_fire_map()\x3B })\x3B\r\n        JQuery(ff_getElementByName(\x27zip\x27)).on(\x27change\x27\x2C function(){ ct_fire_map()\x3B })\x3B\r\n        JQuery(ff_getElementByName(\x27country\x27)).on(\x27change\x27\x2C function(){ ct_fire_map()\x3B })\x3B\r\n    }\r\n  )\x3B\r\n\x3C/script\x3E\r\n\r\n\x22\x3B</piece1code>
		<element id="1803">
			<name>bfFakeName</name>
			<title>bfFakeTitle</title>
			<type></type>
			<logging>0</logging>
			<posx>0</posx>
			<posy>160</posy>
			<width>20</width>
			<height>20</height>
			<mailback>0</mailback>
			<mailbackfile></mailbackfile>
			<script2cond>1</script2cond>
			<script2id>41</script2id>
			<script2name>ff_validate_submit</script2name>
		</element>
		<element id="1804">
			<name>bfFakeName2</name>
			<title>bfFakeTitle2</title>
			<type></type>
			<logging>0</logging>
			<posx>0</posx>
			<posy>200</posy>
			<width>20</width>
			<height>20</height>
			<mailback>0</mailback>
			<mailbackfile></mailbackfile>
			<script2cond>1</script2cond>
			<script2id>23</script2id>
			<script2name>ff_resetForm</script2name>
		</element>
		<element id="1805">
			<name>bfFakeName3</name>
			<title>bfFakeTitle3</title>
			<type></type>
			<logging>0</logging>
			<posx>0</posx>
			<posy>240</posy>
			<width>20</width>
			<height>20</height>
			<mailback>0</mailback>
			<mailbackfile></mailbackfile>
			<script2cond>1</script2cond>
			<script2id>40</script2id>
			<script2name>ff_validate_prevpage</script2name>
		</element>
		<element id="1806">
			<name>bfFakeName4</name>
			<title>bfFakeTitle4</title>
			<type></type>
			<logging>0</logging>
			<posx>0</posx>
			<posy>280</posy>
			<width>20</width>
			<height>20</height>
			<mailback>0</mailback>
			<mailbackfile></mailbackfile>
			<script2cond>1</script2cond>
			<script2id>38</script2id>
			<script2name>ff_validate_nextpage</script2name>
		</element>
		<element id="1763">
			<name>country</name>
			<title>Country</title>
			<type>Select List</type>
			<posx>0</posx>
			<posy>0</posy>
			<width>20</width>
			<height>20</height>
			<mailback>0</mailback>
			<mailbackfile></mailbackfile>
			<data1>1</data1>
			<data2>0\x3BAfghanistan\x3Bafghanistan\n0\x3BAlbania\x3Balbania\n0\x3BAlgeria\x3Balgeria\n0\x3BAndorra\x3Bandorra\n0\x3BAngola\x3Bangola\n0\x3BAntigua and Barbuda\x3Bantigua_and_barbuda\n0\x3BArgentina\x3Bargentina\n0\x3BArmenia\x3Barmenia\n0\x3BAustralia\x3Baustralia\n0\x3BAustria\x3Baustria\n0\x3BAzerbaijan\x3Bazerbaijan\n0\x3BBahamas\x2C The\x3Bbahamas\x2C_the\n0\x3BBahrain\x3Bbahrain\n0\x3BBangladesh\x3Bbangladesh\n0\x3BBarbados\x3Bbarbados\n0\x3BBelarus\x3Bbelarus\n0\x3BBelgium\x3Bbelgium\n0\x3BBelize\x3Bbelize\n0\x3BBenin\x3Bbenin\n0\x3BBhutan\x3Bbhutan\n0\x3BBolivia\x3Bbolivia\n0\x3BBosnia and Herzegovina\x3Bbosnia_and_herzegovina\n0\x3BBotswana\x3Bbotswana\n0\x3BBrazil\x3Bbrazil\n0\x3BBrunei Darussalam\x3Bbrunei_darussalam\n0\x3BBulgaria\x3Bbulgaria\n0\x3BBurkina Faso\x3Bburkina_faso\n0\x3BBurma\x3Bburma\n0\x3BBurundi\x3Bburundi\n0\x3BCambodia\x3Bcambodia\n0\x3BCameroon\x3Bcameroon\n0\x3BCanada\x3Bcanada\n0\x3BCape Verde\x3Bcape_verde\n0\x3BCentral African Republic\x3Bcentral_african_republic\n0\x3BChad\x3Bchad\n0\x3BChile\x3Bchile\n0\x3BChina\x3Bchina\n0\x3BColombia\x3Bcolombia\n0\x3BComoros\x3Bcomoros\n0\x3BCongo (Brazzaville)\x3Bcongo_brazzaville\n0\x3BCongo (Kinshasa)\x3Bcongo_kinshasa\n0\x3BCosta Rica\x3Bcosta_rica\n0\x3BCote d\x27Ivoire\x3Bcote_d\x27ivoire\n0\x3BCroatia\x3Bcroatia\n0\x3BCuba\x3Bcuba\n0\x3BCyprus\x3Bcyprus\n0\x3BCzech Republic\x3Bczech_republic\n0\x3BDenmark\x3Bdenmark\n0\x3BDjibouti\x3Bdjibouti\n0\x3BDominica\x3Bdominica\n0\x3BDominican Republic\x3Bdominican_republic\n0\x3BTimor-Leste\x3BTimor-leste\n0\x3BEcuador\x3Becuador\n0\x3BEgypt\x3Begypt\n0\x3BEl Salvador\x3Bel_salvador\n0\x3BEquatorial Guinea\x3Bequatorial_guinea\n0\x3BEritrea\x3Beritrea\n0\x3BEstonia\x3Bestonia\n0\x3BEthiopia\x3Bethiopia\n0\x3BFiji\x3Bfiji\n0\x3BFinland\x3Bfinland\n0\x3BFrance\x3Bfrance\n0\x3BGabon\x3Bgabon\n0\x3BGambia\x2C The\x3Bgambia\x2C_the\n0\x3BGeorgia\x3Bgeorgia\n0\x3BGermany\x3Bgermany\n0\x3BGhana\x3Bghana\n0\x3BGreece\x3Bgreece\n0\x3BGrenada\x3Bgrenada\n0\x3BGuatemala\x3Bguatemala\n0\x3BGuinea\x3Bguinea\n0\x3BGuinea-Bissau\x3Bguinea-bissau\n0\x3BGuyana\x3Bguyana\n0\x3BHaiti\x3Bhaiti\n0\x3BHoly See\x3Bholy_see\n0\x3BHonduras\x3Bhonduras\n0\x3BHong Kong\x3Bhong_kong\n0\x3BHungary\x3Bhungary\n0\x3BIceland\x3Biceland\n0\x3BIndia\x3Bindia\n0\x3BIndonesia\x3Bindonesia\n0\x3BIran\x3Biran\n0\x3BIraq\x3Biraq\n0\x3BIreland\x3Bireland\n0\x3BIsrael\x3Bisrael\n0\x3BItaly\x3Bitaly\n0\x3BJamaica\x3Bjamaica\n0\x3BJapan\x3Bjapan\n0\x3BJordan\x3Bjordan\n0\x3BKazakhstan\x3Bkazakhstan\n0\x3BKenya\x3Bkenya\n0\x3BKiribati\x3Bkiribati\n0\x3BKorea\x2C North\x3Bkorea\x2C_north\n0\x3BKorea\x2C South\x3Bkorea\x2C_south\n0\x3BKosovo\x3Bkosovo\n0\x3BKuwait\x3Bkuwait\n0\x3BKyrgyzstan\x3Bkyrgyzstan\n0\x3BLaos\x3Blaos\n0\x3BLatvia\x3Blatvia\n0\x3BLebanon\x3Blebanon\n0\x3BLesotho\x3Blesotho\n0\x3BLiberia\x3Bliberia\n0\x3BLibya\x3Blibya\n0\x3BLiechtenstein\x3Bliechtenstein\n0\x3BLithuania\x3Blithuania\n0\x3BLuxembourg\x3Bluxembourg\n0\x3BMacau\x3Bmacau\n0\x3BMacedonia\x3Bmacedonia\n0\x3BMadagascar\x3Bmadagascar\n0\x3BMalawi\x3Bmalawi\n0\x3BMalaysia\x3Bmalaysia\n0\x3BMaldives\x3Bmaldives\n0\x3BMali\x3Bmali\n0\x3BMalta\x3Bmalta\n0\x3BMarshall Islands\x3Bmarshall_islands\n0\x3BMauritania\x3Bmauritania\n0\x3BMauritius\x3Bmauritius\n0\x3BMexico\x3Bmexico\n0\x3BMicronesia\x3Bmicronesia\n0\x3BMoldova\x3Bmoldova\n0\x3BMonaco\x3Bmonaco\n0\x3BMongolia\x3Bmongolia\n0\x3BMontenegro\x3Bmontenegro\n0\x3BMorocco\x3Bmorocco\n0\x3BMozambique\x3Bmozambique\n0\x3BNamibia\x3Bnamibia\n0\x3BNauru\x3Bnauru\n0\x3BNepal\x3Bnepal\n0\x3BNetherlands\x3Bnetherlands\n0\x3BNetherlands Antilles\x3Bnetherlands_antilles\n0\x3BNew Zealand\x3Bnew_zealand\n0\x3BNicaragua\x3Bnicaragua\n0\x3BNiger\x3Bniger\n0\x3BNigeria\x3Bnigeria\n0\x3BNorth Korea\x3Bnorth_korea\n0\x3BNorway\x3Bnorway\n0\x3BOman\x3Boman\n0\x3BPakistan\x3Bpakistan\n0\x3BPalau\x3Bpalau\n0\x3BPalestinian Territories\x3Bpalestinian_territories\n0\x3BPanama\x3Bpanama\n0\x3BPapua New Guinea\x3Bpapua_new_guinea\n0\x3BParaguay\x3Bparaguay\n0\x3BPeru\x3Bperu\n0\x3BPhilippines\x3Bphilippines\n0\x3BPoland\x3Bpoland\n0\x3BPortugal\x3Bportugal\n0\x3BQatar\x3Bqatar\n0\x3BRomania\x3Bromania\n0\x3BRussia\x3Brussia\n0\x3BRwanda\x3Brwanda\n0\x3BSaint Kitts and Nevis\x3Bsaint_kitts_and_nevis\n0\x3BSaint Lucia\x3Bsaint_lucia\n0\x3BSaint Vincent and the Grenadines\x3Bsaint_vincent_and_the_grenadines\n0\x3BSamoa\x3Bsamoa\n0\x3BSan Marino\x3Bsan_marino\n0\x3BSao Tome and Principe\x3Bsao_tome_and_principe\n0\x3BSaudi Arabia\x3Bsaudi_arabia\n0\x3BSenegal\x3Bsenegal\n0\x3BSerbia\x3Bserbia\n0\x3BSeychelles\x3Bseychelles\n0\x3BSierra Leone\x3Bsierra_leone\n0\x3BSingapore\x3Bsingapore\n0\x3BSlovakia\x3Bslovakia\n0\x3BSlovenia\x3Bslovenia\n0\x3BSolomon Islands\x3Bsolomon_islands\n0\x3BSomalia\x3Bsomalia\n0\x3BSouth Africa\x3Bsouth_africa\n0\x3BSouth Korea\x3Bsouth_korea\n0\x3BSpain\x3Bspain\n0\x3BSri Lanka\x3Bsri_lanka\n0\x3BSudan\x3Bsudan\n0\x3BSuriname\x3Bsuriname\n0\x3BSwaziland\x3Bswaziland\n0\x3BSweden\x3Bsweden\n0\x3BSwitzerland\x3Bswitzerland\n0\x3BSyria\x3Bsyria\n0\x3BTaiwan\x3Btaiwan\n0\x3BTajikistan\x3Btajikistan\n0\x3BTanzania\x3Btanzania\n0\x3BThailand\x3Bthailand\n0\x3BTimor-Leste\x3Btimor-leste\n0\x3BTogo\x3Btogo\n0\x3BTonga\x3Btonga\n0\x3BTrinidad and Tobago\x3Btrinidad_and_tobago\n0\x3BTunisia\x3Btunisia\n0\x3BTurkey\x3Bturkey\n0\x3BTurkmenistan\x3Bturkmenistan\n0\x3BTuvalu\x3Btuvalu\n0\x3BUganda\x3Buganda\n0\x3BUkraine\x3Bukraine\n0\x3BUnited Arab Emirates\x3Bunited_arab_emirates\n0\x3BUnited Kingdom\x3Bunited_kingdom\n0\x3BUnited States of America\x3Bunited_states_of_america\n0\x3BUruguay\x3Buruguay\n0\x3BUzbekistan\x3Buzbekistan\n0\x3BVanuatu\x3Bvanuatu\n0\x3BVenezuela\x3Bvenezuela\n0\x3BVietnam\x3Bvietnam\n0\x3BYemen\x3Byemen\n0\x3BZambia\x3Bzambia\n0\x3BZimbabwe\x3Bzimbabwe</data2>
		</element>
		<element id="1764">
			<name>address</name>
			<title>Address</title>
			<type>Text</type>
			<posx>0</posx>
			<posy>40</posy>
			<width>20</width>
			<height>20</height>
			<mailback>0</mailback>
			<mailbackfile></mailbackfile>
		</element>
		<element id="1765">
			<name>city</name>
			<title>City</title>
			<type>Text</type>
			<posx>0</posx>
			<posy>80</posy>
			<width>20</width>
			<height>20</height>
			<mailback>0</mailback>
			<mailbackfile></mailbackfile>
		</element>
		<element id="1766">
			<name>zip</name>
			<title>Zip</title>
			<type>Text</type>
			<posx>0</posx>
			<posy>120</posy>
			<width>20</width>
			<height>20</height>
			<mailback>0</mailback>
			<mailbackfile></mailbackfile>
		</element>
	</form>
</FacileFormsPackage>
